Page MenuHomePhabricator

Make email address optional for GlobalRenameRequest
Closed, DeclinedPublic

Description

Currently, Special:GlobalRenameRequest is only usable by supplying an email address (presumably in order to facilitate return communication to the requester).

If users without access to email were able to use the feature, they would no longer have to make requests on pages such as meta:Steward requests/Username changes.

Event Timeline

Xeno created this task.Jun 18 2015, 12:34 PM
Xeno raised the priority of this task from to Needs Triage.
Xeno updated the task description. (Show Details)
Xeno added a project: GlobalRename.
Xeno added a subscriber: Xeno.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I am trying to see the logic to this phab request.

What is the evidence that having accounts without email addresses will reduce traffic? And to which venues are you referring? How does removing an email address reduce or eliminate requests?

I would like to see the explanatory logic provided if that is okay.

Xeno added a comment.EditedJun 18 2015, 3:35 PM

Currently, an email address is required to use [[Special:GlobalRenameRequest]].

Users who are unable to supply an email address hence must file requests at [[m:SRUC]] or some other local venue to request rename.

I've reworded the request to make it more clear.

Xeno updated the task description. (Show Details)Jun 18 2015, 3:37 PM
Xeno set Security to None.

It does tell why the email address is needed:

We need an email address during this process to ensure that you do not lose access to this account.
You can remove the email address after the rename process has completed.

but I don't /think/ MediaWiki allows you to remove your email address.. See T98799: Make it more obvious that users can remove their e-mail address

@bd808 who implemented GlobalRenameRequest can probably provide details.

The email address requirement was added so that if something goes horribly, horribly wrong during the rename activity we can find your account and correct the problem. I don't think there is any ban against using a semi-anonymous or time limited disposable email account to fulfill the requirement. The backing logic just checks to see that the account in question is marked as having a confirmed email account.

Removing an email address once it has been initially specified should just be a matter of visiting Special:ChangeEmail, blanking the email address and clicking "save email".

Original feature requirements given in T70886 and https://www.mediawiki.org/wiki/SUL_finalisation/Renaming_requests_design :

Email and Confirm Email
The form requires an email address to be completed. The reason why we are requiring an email at this point in time is because we do not want users to lose access to their accounts in case something goes wrong and they will be able to reset their passwords normally.

Can we close this as declined then?

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 28 2015, 12:45 PM
bd808 closed this task as Declined.Sep 28 2015, 4:21 PM
bd808 claimed this task.

Requiring an email address for the duration of the rename is by design. We should see what we can do to text on T98799: Make it more obvious that users can remove their e-mail address to help people understand how to remove an associated email address after their account has been renamed.

Keegan moved this task from Backlog to Closed on the GlobalRename board.Jan 13 2016, 9:30 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptJan 13 2016, 9:30 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript
bd808 moved this task from To Do to Done on the User-bd808 board.Feb 1 2016, 3:28 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:53 PM